Yay -Syu repeatingly wants to update a programm from AUR

As you know I’m not using an Arch based distribution for so long. So I know much more about zypper than about pacman and yay (including repository structure and version numbering).
I installed freac-git from AUR. Now everytime, when there is an update check (no matter if automated or manual) I get the message

1  aur/freac-git  1.1.beta2.continuous.0.g84357ab9-1 -> 1.1.beta2.continuous.2.g4612a274-1

although I did the update using yay -Syu. I know that AUR is not officially supported but maybe someone has an idea what’s happening.

yay -Qs yay
local/yay 9.4.3-1

If you need some more information just ask.

If they show up after the upgrading of repo packages it just shows you that there are AUR updates (and other issues like flagged etc.) so you can select what to update from the AUR too. If you press Enter on that it updates them all.

That’s what I did. I accepted all updates so now there should be no update available for freac.

Even if I accept the update it will be marked available doing the next check.
The other messages (missing, out of date and orphaned) are clear to me.

You’re right, there’s an issue with that one. Check the comments here:
https://aur.archlinux.org/packages/freac-git/

Maybe try the command mentioned (I’m not an expert on this).

1 Like

Thanks for giving me the link. I had a look at it. That was the direction I was assuming that it would go.
Unluckily the renewal of the database didn’t solve it. I guess I have to investigate a little more. But not today. If I find a solution I’ll let you know.